Bug 48730 - [Qt] QtTestBrowser runs out of memory with most of javascript benchmarks.
Summary: [Qt] QtTestBrowser runs out of memory with most of javascript benchmarks.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Hardware S60 3rd edition
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-31 09:56 PDT by Viatcheslav Ostapenko
Modified: 2010-11-03 10:21 PDT (History)
6 users (show)

See Also:


Attachments
Increase symbian heap size to 256Mb (1.14 KB, patch)
2010-10-31 10:05 PDT, Viatcheslav Ostapenko
akling: review-
Details | Formatted Diff | Diff
Update changelog by Andreas suggestion. (1.23 KB, patch)
2010-11-01 11:20 PDT, Viatcheslav Ostapenko
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Viatcheslav Ostapenko 2010-10-31 09:56:11 PDT
Heap limit is 96Mb on symbian. Just not enough RAM for JS benchmarks to run (for example, Dromaeo or Celtic Kane).
Comment 1 Viatcheslav Ostapenko 2010-10-31 10:05:12 PDT
Created attachment 72464 [details]
Increase symbian heap size to 256Mb
Comment 2 Andreas Kling 2010-10-31 10:15:50 PDT
Related to bug 47918?
Comment 3 Nancy Piedra 2010-10-31 10:28:05 PDT
This change helps but does not completely solve the issue with dromeao dom tests on symbian.  Still, we need this change.
Comment 4 Andreas Kling 2010-10-31 12:22:51 PDT
Comment on attachment 72464 [details]
Increase symbian heap size to 256Mb

The change looks fine, but the ChangeLog is too terse.

Suggestion:

[Qt][Symbian] QtTestBrowser runs out of memory with most of javascript benchmarks.
https://bugs.webkit.org/show_bug.cgi?id=48730

Increase the maximum heap size on Symbian to 256 MB.
Comment 5 Viatcheslav Ostapenko 2010-11-01 11:20:37 PDT
Created attachment 72525 [details]
Update changelog by Andreas suggestion.
Comment 6 Suresh Voruganti 2010-11-01 13:15:46 PDT
Fix is required for Qtwebkit 2.1 as this increased the stability for Browser.
Comment 7 WebKit Commit Bot 2010-11-01 19:19:51 PDT
The commit-queue encountered the following flaky tests while processing attachment 72525 [details]:

fast/workers/storage/use-same-database-in-page-and-workers.html

Please file bugs against the tests.  These tests were authored by dumi@chromium.org.  The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2010-11-01 19:20:44 PDT
Comment on attachment 72525 [details]
Update changelog by Andreas suggestion.

Clearing flags on attachment: 72525

Committed r71096: <http://trac.webkit.org/changeset/71096>
Comment 9 WebKit Commit Bot 2010-11-01 19:20:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Ademar Reis 2010-11-03 10:21:32 PDT
Revision r71096 cherry-picked into qtwebkit-2.1 with commit dcd6fcd <http://gitorious.org/webkit/qtwebkit/commit/dcd6fcd>